Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class UneditProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--com.bea.portal.appflow.processor.UneditProcessor

public class UneditProcessor
extends AbstractPortalProcessor

A Portal Processors used to set a portlet out of edit mode. This processor is invoked by the portal's webflow event `bea.portal.framework.internal.portlet.unedit`. This event is currently tied to the portlet's titlebar link as defined in the `edit_titlebar.inc` JSP, but it could be invoked from anywhere.
If the portlet itself is webflow enabled the portal will invoke the portlet's own `bea.portal.framework.internal.portlet.unedit` event. It is portlet developer's responsibility to provide an implementation for this event.

Constructor Summary
`UneditProcessor()` Default constructor (called by webflow).

Method Summary
`java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, java.lang.Object requestContext)` Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UneditProcessor

    public UneditProcessor()

  Default constructor (called by webflow). This processor is session sensitive as it calls `super(true)`

Method Detail

### process

    public java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    java.lang.Object requestContext)
                             throws ProcessingException

  Main process method called by webflow. If the portlet is webflow enabled, this processor invokes the webflow event `bea.portal.framework.internal.portlet.unedit` it is the responsibility of the portlet developer to provide an implementation for the event

  Returns:
    "success" if all is well
  Throws:
    ProcessingException - if the portlet is not editable.
  Overrides:
    process in class AbstractPortalProcessor

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved